﻿/* ================== Responsive Sidebar & Layout ================== */
@media (max-width: 1024px) {
    .btn-next #btnback,
    .btn-next #btnsubmit {
        float: none !important;
    }

    .showmb {
        margin-top: 60px;
    }

    #showconfirmdBuytxtsell {
        width: 160px;
    }
}


/* ================== Button Base ================== */
.btn,
.btn-rounded,
.btn.btn-rounded,
.btn-primary,
.btn-success,
.btn-outline-primary {
    height: 3rem;
    width: 100%;
    max-width: 341px;
    align-items: center;
    text-align: center;
    border-radius: 8px !important;
    font-size: 18px;
    font-weight: 600 !important;
    padding: 0 !important;
}

.btn-outline-primary {
    border-width: 2px;
}

@media (max-width: 577px) {
    .btn,
    .btn-rounded,
    .btn.btn-rounded,
    .btn-primary,
    .btn-success,
    .btn-outline-primary {
        height: 2.6rem !important;
        font-size: 16px !important;
        font-weight: 600 !important;
    }
}


/* ================== Button States ================== */
.btn-success.disabled,
.btn-success:disabled {
    border-color: #7e7e7e !important;
    background-color: #7e7e7e !important;
}

.btn-primary,
.btn-primary:hover,
.btn-primary:focus,
.btn-primary:active {
    outline: none !important;
    color: #ffffff !important;
}


/* ================== Button Hover ================== */

.btn:hover {
    cursor: pointer;
    transition: all .5s ease-in-out;
    box-shadow: 0 14px 26px -12px rgba(0, 0, 0, 0.1), 0 4px 23px 0 rgba(0, 0, 0, 0.1), 0 8px 10px -5px rgba(0, 0, 0, 0.1);
}

/* Primary / Success / Rounded  */
.btn-rounded:hover,
.btn.btn-rounded:hover,
.btn-primary:hover,
.btn-success:hover {
    color: #fff;
    transform: translateY(-0.5px);
    box-shadow: 0 14px 26px -12px rgba(0, 0, 0, 0.1), 0 4px 23px 0 rgba(0, 0, 0, 0.1), 0 8px 10px -5px rgba(0, 0, 0, 0.1);
}

.btn-primary:hover {
    background: transparent;
}
.btn-outline-primary:hover {
    background-color: #fff;
    color: #00a4e4;
    transform: translateY(-0.5px);
    box-shadow: 0 14px 26px -12px rgba(0, 0, 0, 0.1), 0 4px 23px 0 rgba(0, 0, 0, 0.1), 0 8px 10px -5px rgba(0, 0, 0, 0.1);
}

.btn-outline-success:hover {
    box-shadow: 0 14px 26px -12px rgba(0, 0, 0, 0.1), 0 4px 23px 0 rgba(0, 0, 0, 0.1), 0 8px 10px -5px rgba(0, 0, 0, 0.1);
}
